# Variable depot`Const`

depot: {
fissionIPFS(settings: Configuration & {
staging?: boolean;
}): Promise<Depot.Implementation>;
} = ...

Predefined depot configurations.

The depot component gets data in and out your program. For example, say I want to load and then update a file system. The depot will get that file system data for me, and after updating it, send the data to where it needs to be.

#### Type declaration

- ##### fissionIPFS:function

  - fissionIPFS(settings: Configuration & {
    staging?: boolean;
    }): Promise<Depot.Implementation>

  - This depot uses IPFS and the Fission servers. The data is transferred to the Fission IPFS node, where all of your encrypted and public data lives. Other webnative programs with this depot fetch the data from there.

    #### Parameters

    - ##### settings: Configuration & {
      staging?: boolean;
      }

    #### Returns Promise<Depot.Implementation>

    - Defined in index.ts:264

- Defined in index.ts:257

Generated using TypeDoc